aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-01-11 09:35:38 (GMT)
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-01-11 09:35:38 (GMT)
commit98397522d072f17f79393a9da730c020440fe706 (patch)
tree62fc74b441931cc126e2c04e8ffc68e4c3b7c25a
parente1b85913c7649c6fc050c7b3e5b8a16ccc72d74a (diff)
downloadaports-98397522d072f17f79393a9da730c020440fe706.tar.bz2
testing/winetricks: new aport
Easy way to work around problems in Wine
-rw-r--r--testing/winetricks/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/winetricks/APKBUILD b/testing/winetricks/APKBUILD
new file mode 100644
index 0000000..a9dc94d
--- /dev/null
+++ b/testing/winetricks/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer:
+pkgname=winetricks
+pkgver=20170101
+pkgrel=0
+pkgdesc="Winetricks is an easy way to work around problems in Wine "
+url="http://winetricks.org"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/Winetricks/winetricks/archive/$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$builddir"
+}
+
+build() {
+ cd "$builddir"
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="0227e0ed0d9ff6b150676a060b1b6c8f winetricks-20170101.tar.gz"
+sha256sums="3862ce2d94132484cb7fced13ccef6a7d1e94d75b5ee96b269d1bc45309f7b49 winetricks-20170101.tar.gz"
+sha512sums="537566e62e91814775bd81c817125f9bc924e40f9db874275453db03c244f9bcab9cc82e77f027a90338656e1193601fd638623bad853502d2ef9d07b306eb66 winetricks-20170101.tar.gz"